MySQL 5.6 End of Life 05 Feb 2021

Official support for MySQL 5.6 ends on the 05 Feb 2021. After this date, known security flaws will no longer be fixed leaving you exposed to significant security vulnerabilities.

We recommend you upgrade to MySQL 5.7 or newer. Some operating system maintainers backport security patches however this is not always guaranteed so do your research.

Before upgrading

As with any software upgrade, there are risks when jumping to new software versions. These are some things you can do to reduce issues:

  • Review the MySQL changelogs for changes that effect you.
  • Make sure your software and settings are compatible with the new version of MySQL.
    • For example, if you have a WordPress site you can see this on their requirements page. You should also double check that your plugins and themes are also compatible.
    • For Jira and Confluence you might need to change your database collation and character set.
    • If you have a lot of custom site code, you should check with your developers.
  • Consider carrying out a test upgrade.  This is a decision for you based on the complexity of your software, your roll back plan and the cost of down time to you.
  • As with any upgrade, we strongly recommend that you run a full backup of your server(s) first.
  • Look at what new features you can benefit from as you move forward! 🙂

Leaving old MySQL 5.6 systems past February 2021 could leave you at risk to:

  • Security vulnerabilities of the out of date system.
  • Software incompatibility.
  • Compliance issues (PCI).
  • Poor performance and reliability

Not sure where to start upgrading MySQL 5.6? Contact us to help.

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published.